# ApplicationFramework
TKPLCAF
MNaming

# MNaming Class Reference

`#include <MNaming.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AddStorageDrivers (const Handle(MDF_ASDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute storage drivers to <adriverseq>. .
static Standard_EXPORT void | AddRetrievalDrivers (const Handle(MDF_ARDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute retrieval drivers to <adriverseq>. .

## Member Function Documentation

static Standard_EXPORT void MNaming::AddRetrievalDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

static Standard_EXPORT void MNaming::AddStorageDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

void MNaming::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MNaming::operator new | ( | size_t | size | ) | `[inline]`

void* MNaming::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MNaming.hxx